import datetime


def age_in_human(birthdate: datetime.datetime) -> str:
    today = datetime.datetime.now(birthdate.tzinfo)
    delta = abs(today - birthdate)

    if (years := delta.days // 365) > 0:
        res = f"{years} year{'s' if years > 1 else ''}"
    elif (months := (delta.days % 365) // 30) > 0:
        res = f"{months} month{'s' if months > 1 else ''}"
    elif (weeks := ((delta.days % 365) % 30) // 7) > 0:
        res = f"{weeks} week{'s' if weeks > 1 else ''}"
    elif (days := ((delta.days % 365) % 30) % 7) > 0:
        res = f"{days} day{'s' if days > 1 else ''}"
    else:
        res = "0 days"

    res += " early" if birthdate > today else " old"

    return res
